explain_nice_or_die(3)

NAME
explain_nice_or_die - change process priority and report errors
    "change process priority and report errors"

SYNOPSIS
#include <libexplain/nice.h>

int explain_nice_or_die(int inc);
int explain_nice_on_error(int inc);

DESCRIPTION
The explain_nice_or_die function is used to call the nice(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_nice(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_nice_on_error function is used to call the nice(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_nice(3) function, but still returns to the caller.

inc The inc, exactly as to be passed to the nice(2) system call.

RETURN VALUE
The explain_nice_or_die function only returns on success, see nice(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_nice_on_error function always returns the value return by the wrapped nice(2) system call.

EXAMPLE
The explain_nice_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_nice_or_die(inc);

SEE ALSO

nice(2)
    change process priority

explain_nice(3)
    explain nice(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller